Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration
Class ConfigurationUtils

    java.lang.Object
      org.apache.commons.configuration.ConfigurationUtils

public final class ConfigurationUtils
extends Object

Miscellaneous utility methods for configurations.

Version:
  $Revision: 1.9 $, $Date: 2004/09/23 11:42:00 $
Author:
  Herve Quiroz, Oliver Heger, Emmanuel Bourg

Method Summary
`(package private) static File` | `constructFile(String basePath, String fileName)` Helper method for constructing a file object from a base path and a file name.
`static void` | `dump(Configuration configuration, PrintStream out)` Dump the configuration key/value mappings to some ouput stream.
`static void` | `dump(Configuration configuration, PrintWriter out)` Dump the configuration key/value mappings to some writer.
`(package private) static String` | `getBasePath(URL url)` Return the path without the file name, for example http://xyz.net/foo/bar.xml results in http://xyz.net/foo/
`(package private) static String` | `getFileName(URL url)` Extract the file name from the specified URL.
`static URL` | `getURL(String basePath, String file)` Constructs a URL from a base path and a file name.
`static URL` | `locate(String name)` Return the location of the specified resource by searching the user home directory, the current classpath and the system classpath.
`static URL` | `locate(String base, String name)` Return the location of the specified resource by searching the user home directory, the current classpath and the system classpath.
`static String` | `toString(Configuration configuration)` Get a string representation of the key/value mappings of a configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### dump

    public static void dump(Configuration configuration,
                            PrintStream out)

  Dump the configuration key/value mappings to some ouput stream.

  Parameters:
    `configuration` - the configuration
    `out` - the output stream to dump the configuration to

### dump

    public static void dump(Configuration configuration,
                            PrintWriter out)

  Dump the configuration key/value mappings to some writer.

  Parameters:
    `configuration` - the configuration
    `out` - the writer to dump the configuration to

### toString

    public static String toString(Configuration configuration)

  Get a string representation of the key/value mappings of a configuration.

  Parameters:
    `configuration` - the configuration
  Returns:
    a string representation of the configuration

### getURL

    public static URL getURL(String basePath,
                             String file)
                      throws MalformedURLException

  Constructs a URL from a base path and a file name. The file name can be absolute, relative or a full URL. If necessary the base path URL is applied.

  Parameters:
    `basePath` - the base path URL (can be null)
    `file` - the file name
  Returns:
    the resulting URL
  Throws:
    `MalformedURLException` - if URLs are invalid

### constructFile

    static File constructFile(String basePath,
                              String fileName)

  Helper method for constructing a file object from a base path and a file name. This method is called if the base path passed to `getURL()` does not seem to be a valid URL.

  Parameters:
    `basePath` - the base path
    `fileName` - the file name
  Returns:
    the resulting file

### locate

    public static URL locate(String name)

  Return the location of the specified resource by searching the user home directory, the current classpath and the system classpath.

  Parameters:
    `name` - the name of the resource
  Returns:
    the location of the resource

### locate

    public static URL locate(String base,
                             String name)

  Return the location of the specified resource by searching the user home directory, the current classpath and the system classpath.

  Parameters:
    `base` - the base path of the resource
    `name` - the name of the resource
  Returns:
    the location of the resource

### getBasePath

    static String getBasePath(URL url)

  Return the path without the file name, for example http://xyz.net/foo/bar.xml results in http://xyz.net/foo/

  Parameters:
    `url` -
  Returns:

### getFileName

    static String getFileName(URL url)

  Extract the file name from the specified URL.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 The Apache Software Foundation. All Rights Reserved.